//------------------------------------------------------------//
//                                                            //
//   PROJECT:  costume rent                                   //
//   FILE:     costume.cpp                                    //
//   AUTHOR:   Irma Dobrovolskyte                             //
//                                                            //
//   class Costume                                            //
//   =============                                            //
//   Costume having title and price, and list of lease.       //
//                                                            //
//------------------------------------------------------------//

#include <iostream>
#include "costume.h"

using namespace std;

//------------------------------------------------------------
Costume::Costume (const string& title, double price)
{
   this->title = title;
   this->price = price;
}
//------------------------------------------------------------
double Costume::getProfit () const
{
   double profit = 0;
   vector<Lease*>::const_iterator iter = leases.begin();
   for (;  iter != leases.end();  iter++)
      profit += (*iter)->getProfit();
   return profit;
}
//------------------------------------------------------------
void Costume::print () const
{
   cout << title << " " << price 
        << " pelnas = " << getProfit() << endl;
}
//------------------------------------------------------------
void Costume::addLease(Lease* lease)
{
   leases.push_back(lease);
}
//============================================================//
