//------------------------------------------------------------//
//                                                            //
//   PROJECT:  costume rent                                   //
//   FILE:     costume.h                                      //
//   AUTHOR:   Irma Dobrovolskyte                             //
//                                                            //
//   class Costume                                            //
//   =============                                            //
//   Costume having title and price, and list of lease.       //
//                                                            //
//------------------------------------------------------------//

#ifndef __costume_h
#define __costume_h

#include <string>
#include <vector>
#include "lease.h"

//------------------------------------------------------------
class Costume
{
private:

   std::string           title;
   double                price;
   std::vector<Lease*>   leases;

public:

   Costume (const std::string& title, double price);

   std::string getTitle  () const {return title;}
   double      getPrice  () const {return price;}
   double      getProfit () const;
   void        print     () const;

   void     addLease       (Lease* lease);
   int      getLeaseCount  () const {return leases.size();}
   Lease*   getLease       (int i)  {return leases[i];}

};

#endif // __costume_h
//============================================================//
