//------------------------------------------------------------//
//                                                            //
//   PROJECT:  costume rent                                   //
//   FILE:     lease.h                                        //
//   AUTHOR:   Irma Dobrovolskyte                             //
//                                                            //
//   class Lease                                              //
//   ===========                                              //
//   Lease of one Costume: what, when, rent,                  //
//                                                            //
//------------------------------------------------------------//

#include <iostream>
#include "lease.h"
#include "costume.h"

using namespace std;

//------------------------------------------------------------
Lease::Lease (const Costume*     costume,
              const std::string& date,
              const std::string& name,
              const std::string& surname,
              int                day,
              int                itemCount)

{
   this->costume   = costume;   //susiejimas su klase Costume
   this->date      = date;      //isnuomojimo data
   this->name      = name;      //nuomotojo vardas
   this->surname   = surname;   //nuomotojo pavarde
   this->day       = day;       //nuomojamu dienu skaicius
   this->itemCount = itemCount; //kostiumu kiekis
}
//------------------------------------------------------------
double Lease::getProfit () const
{
   return day * itemCount * costume->getPrice();
}
//------------------------------------------------------------
void Lease::print () const
{
   cout << costume->getTitle()
        << "  = " << date
	<< "  = " << name
	<< " "    << surname
        << "  = " << day
        << "  = " << itemCount
        << "  = pelnas:  " << getProfit()
        << endl;
}
//============================================================//
