//------------------------------------------------------------//
//                                                            //
//   PROJECT:  costume rent                                   //
//   FILE:     lease.h                                        //
//   AUTHOR:   Irma Dobrovolskyte                             //
//                                                            //
//   class Lease                                              //
//   ===========                                              //
//   Lease of one Costume: what, when, rent,                  //
//                                                            //
//------------------------------------------------------------//

#ifndef __lease_h
#define __lease_h

#include <string>

class Costume; // forward declaration

//------------------------------------------------------------
class Lease
{
private:

   const Costume* costume;
   std::string    date;
   std::string    name;
   std::string    surname;
   int            day;
   int            itemCount;
   
public:

   Lease (const Costume* costume,
          const std::string& date,
          const std::string& name,
          const std::string& surname,
          int                day,
          int                itemCount);

   const Costume* getCostume    () const {return costume;}
   std::string    getDate       () const {return date;}
   std::string    getName       () const {return name;}
   std::string    getSurname    () const {return surname;}
   int            getDay        () const {return day;}
   int            getItemCount  () const {return itemCount;}
   double         getProfit     () const;

   void         print     () const;
};

#endif // __lease_h
//============================================================//
